## org.eclipse.emf.ecore.util
Class BasicFeatureMap.ResolvingFeatureEIterator<E>

    java.lang.Object
      org.eclipse.emf.ecore.util.FeatureMapUtil.BasicFeatureEIterator<E>
          org.eclipse.emf.ecore.util.BasicFeatureMap.FeatureEIterator<E>
              org.eclipse.emf.ecore.util.BasicFeatureMap.ResolvingFeatureEIterator<E>

All Implemented Interfaces:
  java.util.Iterator<E>, java.util.ListIterator<E>

Enclosing class:
  BasicFeatureMap

    public static class BasicFeatureMap.ResolvingFeatureEIterator<E>

extends BasicFeatureMap.FeatureEIterator<E>

-------------------------------------------

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.BasicFeatureEIterator
`cursor, entryCursor, eStructuralFeature, expectedModCount, featureMap, isFeatureMap, lastCursor, prepared, preparedResult, validator`

Constructor Summary
`BasicFeatureMap.ResolvingFeatureEIterator(EStructuralFeature eStructuralFeature, FeatureMap.Internal featureMap)`

Method Summary
`protected boolean` `resolve()`

Methods inherited from class org.eclipse.emf.ecore.util.BasicFeatureMap.FeatureEIterator
`scanNext, scanPrevious`

Methods inherited from class org.eclipse.emf.ecore.util.FeatureMapUtil.BasicFeatureEIterator
`add, checkModCount, extractValue, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicFeatureMap.ResolvingFeatureEIterator

    public BasicFeatureMap.ResolvingFeatureEIterator(EStructuralFeature eStructuralFeature,
                                                     FeatureMap.Internal featureMap)

Method Detail

### resolve

    protected boolean resolve()

  Overrides:
    `resolve` in class `FeatureMapUtil.BasicFeatureEIterator<E>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.